from django.urls import path
from . import views


app_name = 'epic'

urlpatterns = [
    path('rooms/create_room', views.create_room, name='create_room'),
    path('room/<uuid:room_id>/', views.room_view, name='room'),
    path('room/<uuid:room_id>/gate/', views.gatekeeper, name='gatekeeper'),
    path('room/<uuid:room_id>/gate/view/', views.room_gate, name='room_gate'),
    path('room/<uuid:room_id>/gate/renew', views.renew_token, name='renew_token'),
    path('room/<uuid:room_id>/gate/drop_token', views.drop_token, name='drop_token'),
    path('room/<uuid:room_id>/gate/confirm_token', views.confirm_token, name='confirm_token'),
    path('room/<uuid:room_id>/gate/return_token', views.return_token, name='return_token'),
    path('room/<uuid:room_id>/gate/release_slot', views.release_slot, name='release_slot'),
    path('room/<uuid:room_id>/pick-roles', views.pick_roles, name='pick_roles'),
    path('room/<uuid:room_id>/pick-sigs', views.pick_sigs, name='pick_sigs'),
    path('room/<uuid:room_id>/select-role', views.select_role, name='select_role'),
    path('room/<uuid:room_id>/select-sig', views.select_sig, name='select_sig'),
    path('room/<uuid:room_id>/sig-reserve', views.sig_reserve, name='sig_reserve'),
    path('room/<uuid:room_id>/sig-ready', views.sig_ready, name='sig_ready'),
    path('room/<uuid:room_id>/sig-confirm', views.sig_confirm, name='sig_confirm'),
    path('room/<uuid:room_id>/gate/invite', views.invite_gamer, name='invite_gamer'),
    path('room/<uuid:room_id>/gate/status', views.gate_status, name='gate_status'),
    path('room/<uuid:room_id>/delete', views.delete_room, name='delete_room'),
    path('room/<uuid:room_id>/abandon', views.abandon_room, name='abandon_room'),
    path('room/<uuid:room_id>/tarot/', views.tarot_deck, name='tarot_deck'),
    path('room/<uuid:room_id>/tarot/deal', views.tarot_deal, name='tarot_deal'),
    path('room/<uuid:room_id>/sky/preview', views.sky_preview, name='sky_preview'),
    path('room/<uuid:room_id>/sky/save', views.sky_save, name='sky_save'),
    path('room/<uuid:room_id>/sky/delete', views.sky_delete, name='sky_delete'),
    path('room/<uuid:room_id>/sea/partial', views.sea_partial, name='sea_partial'),
    path('room/<uuid:room_id>/sea/deck', views.sea_deck, name='sea_deck'),
]
